Subject: user trys to copy spam link but ends up contacting spam site

From: 積丹尼 Dan Jacobson <[email-masked]>
Date: Mon, 08 May 2017 18:07:49 +0800

"u runs the command shr-copy-url, which is an interactive compiled Lisp
function in ‘shr.el’.

Copy the URL under point to the kill ring.
If IMAGE-URL (the prefix) is non-nil, or there is no link under
point, but there is an image under point then copy the URL of the
image under point instead.
If called twice, then try to fetch the URL and see whether it
redirects somewhere else."

The problem with this is the user thinks that u is safe to just copy
links. Well a second press (no matter how it happens) ends up telling
the spam site 'Yes the user read your spam mail. Send more.' or worse.